# SearchProfiles

Search profiles using any field combination. Partial matches will be returned. Paginated endpoint. Only Admins, Geo and White-Label Admins can access this endpoint. If you're a GeoSite admin, you will see all your GeoSite members including your WhiteLabel members. If you're a WhiteLabel admin, you will see your WhiteLabel members, but not other GeoSite members. If you're neither, you will get a 403 error.

Endpoint: GET /General/SearchProfiles
Version: v4
Security: 

## Query parameters:

  - `PersonId` (integer,null)
    The C2 PersonId (optional)

  - `FirstName` (string)
    The FirstName. Not case-sensitive (optional)

  - `LastName` (string)
    The FirstName. Not case-sensitive (optional)

  - `Email` (string)
    The Email. Not case-sensitive (optional)

  - `WhiteLabelSiteId` (integer,null)
    The White Label site Id (optional)

  - `CountryCode` (string)
    The person's country code. Not case-sensitive. (optional) See https://en.wikipedia.org/wiki/ISO_3166-2

  - `DivisionCode` (string)
    The person's subdivision (e.g. provinces or states). Not case-sensitive. (optional) See https://en.wikipedia.org/wiki/ISO_3166-2

  - `IPAddress` (string)
    The person's last known IP address (optional)

  - `Phone` (string)
    The verified Phone number (optional)

  - `IsAlive` (boolean,null)
    The Person's Status (optional)

  - `IsEmailValidated` (boolean,null)
    The Person's email validation status (optional)

## Response 200 fields (application/json):

  - `Results` (array,null)
    Result array

  - `Results.Id` (integer)
    The PersonId

  - `Results.Alias` (string,null)
    The person's alias

  - `Results.FirstName` (string,null)
    The person's first name

  - `Results.LastName` (string,null)
    The person's last name

  - `Results.Email` (string,null)
    The person's email. This is also the username when logging in to C2

  - `Results.Phone` (string,null)
    The person's telephone

  - `Results.IsPhoneVerified` (boolean)
    True if the the person's telephone is verified

  - `Results.Language` (string,null)
    The person's preferred language

  - `Results.WhiteLabelSiteId` (integer,null)
    The White Label site Id

  - `Results.CountryCode` (string,null)
    The person's country code

  - `Results.DivisionCode` (string,null)
    The person's division (usually the state) code

  - `Results.Created` (string)
    The UTC date when the person was created

  - `Results.LastLoggedIn` (string)
    The UTC date when the person last logged in

  - `Results.LastIP` (string,null)
    The person's last known IP

  - `Results.IsEmailValidated` (boolean)
    The Person's email validation status

  - `Results.IsAlive` (boolean)
    The Person's user account status

  - `Results.ApprovedAccounts` (array,null)
    The list of approved brokerage accounts for this person

  - `Results.ApprovedAccounts.PersonId` (integer,null)
    The PersonId

  - `Results.ApprovedAccounts.AddedDate` (string)
    The UTC date when the record was created

  - `Results.ApprovedAccounts.Account` (string,null)
    The Brokerage Account

  - `Results.ApprovedAccounts.BrokerId` (integer)
    The BrokerId

  - `Results.ApprovedAccounts.ConnectionType` (integer)
    The Connection type. 0 = Autotrade, 1 = BrokerTransmit

  - `Results.ApprovedAccounts.AddedByPersonId` (integer,null)
    The PersonId who approved the account

  - `Results.IsManager` (boolean)
    True if the the person is a strategy manager

  - `Results.IsInvestor` (boolean)
    True if the the person is a strategy investor

  - `Results.GeoSite` (string,null)
    The GeoSite

  - `Results.IsGeoSiteAdmin` (boolean,null)
    True if the the person is a GeoSite administrator

  - `Results.SupportCompanyName` (string,null)
    The customer support autotrade provider

  - `Results.SupportSiteURL` (string,null)
    The customer support website address

  - `Results.SupportEmail` (string,null)
    The customer support email

  - `Pagination` (object)

  - `Pagination.prev_cursor` (string,null)
    The previous Pagination Cursor

  - `Pagination.next_cursor` (string,null)
    The next Pagination Cursor

  - `ResponseStatus` (object)

  - `ResponseStatus.ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `ResponseStatus.Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `ResponseStatus.Errors` (array,null)

  - `ResponseStatus.Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `ResponseStatus.Errors.FieldName` (string,null)
    The affected parameter.

  - `ResponseStatus.Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 400 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 401 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 403 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 404 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 406 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 409 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 429 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 500 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 503 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.


## Response 304 fields
